Subject: [bmwg] IGP Data Plane Convergence

From: Scott Poretsky <[email-masked]>
Date: Wed, 09 Jul 2003 12:13:05 -0400

> BMWG-ers,
 >
 > We have had a couple of issues raised for the IGP Data Plane Convergence
 > benchmarking. The first is the Packet Sampling Interval of the test
 > equipment and its impact to results and the second is the choice of values
 > for the timers that impact the results. We would like to address these in
 > the next revision of the documents as follow:
 >
 > 1. Packet Sampling Interval -
 > With some test equipment vendors you must use the Average Convergence
 > Time and not the preferred Full (Peak-to-Peak) Convergence Time. This is 
because the
 > minimum configurable packet sample interval is as high as 1 second. 
Being this high, the
 > Convergence Recovery Slope is grossly exaggerated for fast convergence 
times, causing
 > the Full Convergence Time to measure greater than it actually is. With the
 > other test equipment it is still appropriate to use the more accurate Full
 > Convergence Time instead of the Average Convergence Time, because 
100msec packet
 > sample intervals are used. This is particularly important as the 
industry is
 > discussing millisecond convergence time.
 >
 > The authors intend to add to the Terminology draft a new term - Convergence
 > Sampling Rate - with a maximum value of 100msec. The Methodology draft will
 > recommend in the "Test Considerations" section will include this discussion
 > and state that when the Convergence Sampling Rate >100msec then the Average
 > Convergence Time must be used.
 >
 > 2. Convergence Timers
 > The Methodology draft "Test Considerations" section currently states to set
 > Convergence Timers to minimum value. It has been requested that we include
 > suggested values. We propose that the values appear as follow:
 >
 > SONET Failure Indication Delay (<10ms, almost immediate)
 > IGP Hello Timer (1 sec)
 > IGP Dead-Interval (3 sec)
 > LSA Generation Delay (0, immediate)
 > LSA Flood Packet Pacing (0, immediate)
 > LSA Retransmission Packet Pacing (0, immediate)
 > SPF Delay (0, immediate)
 >
 > Is there agreement, concern, or questions for these changes to be made for
 > the 01 versions of the drafts? Are there additional issues that should be
 > addressed?
 >
 > Scott/Brent

_______________________________________________
bmwg mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/bmwg